Skip to main content
PUT
Update an event sponsor package

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

id
integer
required

Journey ID in the authenticated organization.

Example:

42

Body

application/json
name
string

Name.

Maximum string length: 255
Example:

"Annual Gala"

tier
string | null

Tier.

Maximum string length: 80
Example:

"Example"

description
string | null

Description.

Example:

"Example"

price
number | null

Price.

Required range: x >= 0
Example:

1

fair_market_value
number | null

Fair market value.

Required range: x >= 0
Example:

1

included_tickets
integer | null

Included tickets.

Required range: x >= 0
Example:

1

included_tables
integer | null

Included tables.

Required range: x >= 0
Example:

1

quantity_available
integer | null

Quantity available.

Required range: x >= 0
Example:

1

visibility
enum<string> | null

Visibility.

Available options:
public,
private,
null
Example:

"public"

deliverables_template
string[] | null

Deliverables template.

settings
object | null

Settings.

is_active
boolean | null

Is active.

Example:

false

sort_order
integer | null

Sort order.

Example:

1

Response

Update an event sponsor package completed.

data
object